v1.0
delete
/ec-library-svc/rest/v1.0/libraryUses
Deletes library uses for particular object and study versions.
Request
Query Parameters
-
objectId: string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the underlying object (for example, forms or rules).Example:
B1B8327AFAA6412287106192AB5984EF -
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.Example:
B1B8327AFAA6412287106192AB5984EF -
studyVersion(required): string
Study versionExample:
1.0.0.1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object LibraryUsesDtoV1.0
Title:
LibraryUsesDtoV1.0Information about how a library object is used in studies.
Nested Schema : LibraryUsesDtoV1.0
Type:
objectTitle:
LibraryUsesDtoV1.0Information about how a library object is used in studies.
Show Source
-
libraryId: string
Title:
Library IDUnique identifier (UUID, 32-character uppercase hexadecimal string) of the library object.Example:B1B8327AFAA6412287106192AB5984EF -
objectId: string
Title:
Object IDUnique identifier (UUID, 32-character uppercase hexadecimal string) of the underlying object (for example, forms or rules).Example:B1B8327AFAA6412287106192AB5984EF -
objectType: string
Title:
Object typeType of the underlying object.Example:FORM -
studyId: string
Title:
Study IDUnique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.Example:B1B8327AFAA6412287106192AB5984EF -
studyType: string
Title:
Study typeType of the study.Example:LIBRARY -
studyVersion: string
Title:
Study versionString representing the version of the study configuration or protocol. Helps track changes in form or study design.Example:1.0.0.1
Examples
500 Response
Error
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.